/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2011 ForTISS GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.internal;

import org.eclipse.jface.action.MenuManager;
import org.eclipse.jface.action.Separator;
import org.fortiss.tooling.kernel.services.IActionService;
import org.fortiss.tooling.kernel.services.IContextMenuService;

/**
 * This class implements the {@link IContextMenuService} interface.
 * 
 * @author hoelzl
 * @author $Author$
 * @version $Rev$
 * @levd.rating RED Rev:
 */
public class ContextMenuService implements IContextMenuService {

	/** The group id of the global default action group. */
	public static final String GROUP_GLOBAL_DEFAULTS = "globalDefaults";

	/** {@inheritDoc} */
	@Override
	public void addGlobalDefaultActionSection(MenuManager menuManager) {
		Separator globalDefaults = new Separator(GROUP_GLOBAL_DEFAULTS);
		globalDefaults.setVisible(true);
		menuManager.add(globalDefaults);

		menuManager.appendToGroup(GROUP_GLOBAL_DEFAULTS,
				((ActionService) IActionService.INSTANCE).globalUndoAction);
	}
}
