/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2011 ForTISS GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.services;

import org.eclipse.ui.IEditorSite;
import org.eclipse.ui.IViewSite;
import org.fortiss.tooling.kernel.internal.ActionService;

/**
 * The action service manages registration and execution of actions including
 * global actions like undo and redo.
 * 
 * @author hoelzl
 * @author $Author$
 * @version $Rev$
 * @levd.rating RED Rev:
 */
public interface IActionService {

	/** Returns the singleton instance of the service. */
	public static final IActionService INSTANCE = new ActionService();

	/** Registers global actions with a view site. */
	void registerGlobalActions(IViewSite site);

	/** Registers global actions with an editor site. */
	void registerGlobalActions(IEditorSite site);

	/** Updates the enabled state of the global actions. */
	void update();
}
